epp_DomainTransferRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainTransferRsp class

### org.openrtk.idl.epp02.domain

# Class epp_DomainTransferRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainTransferRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainTransferRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainTransferRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `String` | `m_action_client_id`
  `String` | `m_action_date`
  `String` | `m_expiration_date`
  `String` | `m_name`
  `String` | `m_request_client_id`
  `String` | `m_request_date`
  `epp_Response` | `m_rsp`
  `epp_TransferStatusType` | `m_transfer_status`

  ## Constructor Summary
  `epp_DomainTransferRsp()`
  `epp_DomainTransferRsp(epp_Response _m_rsp, String _m_name, epp_TransferStatusType _m_transfer_status, String _m_request_client_id, String _m_action_client_id, String _m_request_date, String _m_action_date, String _m_expiration_date)`

  ## Method Summary
  `String` | `getActionClientId()`
  `String` | `getActionDate()`
  `String` | `getExpirationDate()`
  `String` | `getName()`
  `String` | `getRequestClientId()`
  `String` | `getRequestDate()`
  `epp_Response` | `getRsp()`
  `epp_TransferStatusType` | `getTransferStatus()`
  `void` | `setActionClientId(String value)`
  `void` | `setActionDate(String value)`
  `void` | `setExpirationDate(String value)`
  `void` | `setName(String value)`
  `void` | `setRequestClientId(String value)`
  `void` | `setRequestDate(String value)`
  `void` | `setRsp(epp_Response value)`
  `void` | `setTransferStatus(epp_TransferStatusType value)`
  `String` | `toString()`

## Field Details

### m_action_client_id

    public String m_action_client_id

### m_action_date

    public String m_action_date

### m_expiration_date

    public String m_expiration_date

### m_name

    public String m_name

### m_request_client_id

    public String m_request_client_id

### m_request_date

    public String m_request_date

### m_rsp

    public epp_Response m_rsp

### m_transfer_status

    public epp_TransferStatusType m_transfer_status

## Constructor Details

### epp_DomainTransferRsp

    public epp_DomainTransferRsp()

### epp_DomainTransferRsp

    public epp_DomainTransferRsp(epp_Response _m_rsp,
                                 String _m_name,
                                 epp_TransferStatusType _m_transfer_status,
                                 String _m_request_client_id,
                                 String _m_action_client_id,
                                 String _m_request_date,
                                 String _m_action_date,
                                 String _m_expiration_date)

## Method Details

### getActionClientId

    public String getActionClientId()

### getActionDate

    public String getActionDate()

### getExpirationDate

    public String getExpirationDate()

### getName

    public String getName()

### getRequestClientId

    public String getRequestClientId()

### getRequestDate

    public String getRequestDate()

### getRsp

    public epp_Response getRsp()

### getTransferStatus

    public epp_TransferStatusType getTransferStatus()

### setActionClientId

    public void setActionClientId(String value)

### setActionDate

    public void setActionDate(String value)

### setExpirationDate

    public void setExpirationDate(String value)

### setName

    public void setName(String value)

### setRequestClientId

    public void setRequestClientId(String value)

### setRequestDate

    public void setRequestDate(String value)

### setRsp

    public void setRsp(epp_Response value)

### setTransferStatus

    public void setTransferStatus(epp_TransferStatusType value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS